social_share:
  label: Social Sharing
  namespace: Molecules/TM - Social
  use: '@molecules/tm-social/social-share/social-share.twig'
  description: Social Sharing
  libraries:
    - social_share_lib:
        css:
          component:
            ../styles/social-share.css: {}

  fields:
    links:
      type: object
      label: Items
      preview:
        - url: https://facebook.com
          title: Facebook
          share: Follow
          icon_links: fa-facebook-square
          icon_share: fa-facebook-f
          class: facebook-link
        - url: https://twitter.com
          title: Twitter
          share: Tweet
          icon_links: fa-twitter-square
          icon_share: fa-twitter
          class: twitter-link
        - url: https://x.com
          title: X
          share: Post
          icon_links: fc-tx-sq
          icon_share: fc-tx
          class: x-link
          fa_family: fc
        - url: https://whatsapp.com
          title: Whatsapp
          share: Call
          icon_links: fa-whatsapp-square
          icon_share: fa-whatsapp
          class: whatsapp-link
        - url: '#'
          title: Pinterest
          share: Pin
          icon_links: fa-pinterest-square
          icon_share: fa-pinterest
          class: pinterest-link
        - url: /here
          title: Sharethis
          share: Share
          icon_links: fa-share-alt-square
          icon_share: fa-share-alt
          fa_family: fas
          class: share-link

  settings:
    wrapper_class:
      type: textfield
      label: Wrapper Class
    style:
      type: textfield
      label: Style
      options:
        share: Social sharing
        links: Social links

  variants:
    __default:
      label: Default
    share:
      label: Share
      settings:
        style: share
    links:
      label: Links
      settings:
        style: links
